Bug 716615 - Review Request: php-zipstream - zipstream-php
Summary: Review Request: php-zipstream - zipstream-php
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 575956
TreeView+ depends on / blocked
 
Reported: 2011-06-25 14:00 UTC by Guillaume Kulakowski
Modified: 2014-09-02 12:30 UTC (History)
3 users (show)

Fixed In Version: php-zipstream-0.2.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-15 01:20:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Guillaume Kulakowski 2011-06-25 14:00:19 UTC
ZipStream is a library for dynamically streaming dynamic zip files from PHP without writing to the disk at all on the server.
http://pablotron.org/software/zipstream-php/

---

SPEC:
http://llaumgui.fedorapeople.org/review/php-zipstream/php-zipstream.spec

SRPM:
http://llaumgui.fedorapeople.org/review/php-zipstream/php-zipstream-0.2.2-1.fc15.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/php-zipstream/php-zipstream-0.2.2-1.fc15.noarch.rpm

---

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-zipstream*
2 packages and 1 specfiles checked; 0 errors, 0 warnings


Pear CompatInfo:+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| .//*                        | 5.1.2   | 0 | date       | FALSE              |
|                             |         |   | hash       | NULL               |
|                             |         |   | pcre       | TRUE               |
|                             |         |   |            | __FILE__           |
|                             |         |   |            | private            |
+-----------------------------+---------+---+------------+--------------------+

Comment 1 Remi Collet 2011-07-03 05:53:41 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Rpmlint output:
ok
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the PHP specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [ ] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : ef9de52d725c642f13e27a6c975d0774  zipstream-php-0.2.2.tar.gz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f15 (noarch)
 [-] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Packages don't bundle copies of system librarie
 [-] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] All filenames in rpm packages must be valid UTF-8
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Final requires
php-common >= 5.1.2
 [x] Final provides
php-zipstream = 0.2.2-1.fc15
 [x] Latest version is packaged.
 [-] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [-] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [-] Reviewer should test that the package builds in mock.
     Tested on: Koji 
	http://koji.fedoraproject.org/koji/taskinfo?taskID=3176670
 [-] The package should compile and build into binary rpms on all supported architectures.
     Tested on: 
 [x] Package functions as described.
 [-] If scriptlets are used, those scriptlets must be sane. 
 [ ] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [-] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] %check is present and the tests pass


$ phpci print --report=extension /usr/share/php/zipstream/zipstream.php
-------------------------------------------------------------------------------
PHP COMPAT INFO EXTENSION SUMMARY
-------------------------------------------------------------------------------
  EXTENSION                                        PECL   VERSION         COUNT
-------------------------------------------------------------------------------
  Core                                                    4.0.0              16
  date                                                    4.0.0               2
  hash                                               1.0  5.1.2               4
  pcre                                                    4.0.0               1
  standard                                                4.0.0              16
  zlib                                               1.1  4.0.0               3
-------------------------------------------------------------------------------
A TOTAL OF 6 EXTENSION(S) WERE FOUND
REQUIRED PHP 5.1.2 (MIN) 

===========
 APPROVED
===========

Comment 2 Guillaume Kulakowski 2011-07-04 17:47:55 UTC
New Package SCM Request
=======================
Package Name: php-zipstream
Short Description: Streaming dynamic zip from PHP without writing to the disk
Owners: llaumgui
Branches: f15 f14 el6
InitialCC:

Comment 3 Gwyn Ciesla 2011-07-04 18:08:18 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-07-04 18:34:14 UTC
php-zipstream-0.2.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-zipstream-0.2.2-1.fc15

Comment 5 Fedora Update System 2011-07-04 18:34:23 UTC
php-zipstream-0.2.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-zipstream-0.2.2-1.el6

Comment 6 Fedora Update System 2011-07-04 18:34:31 UTC
php-zipstream-0.2.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-zipstream-0.2.2-1.fc14

Comment 7 Fedora Update System 2011-07-06 18:03:38 UTC
php-zipstream-0.2.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2011-07-15 01:20:42 UTC
php-zipstream-0.2.2-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 9 Fedora Update System 2011-07-15 01:28:29 UTC
php-zipstream-0.2.2-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-07-22 19:30:44 UTC
php-zipstream-0.2.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Guillaume Kulakowski 2014-09-01 13:30:34 UTC
Package Change Request
======================
Package Name: php-zipstream
New Branches: EL-7
Owners: llaumgui

Comment 12 Gwyn Ciesla 2014-09-02 12:30:33 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.